commit: 2c2a87bd3af9346b11fb2dbca3d9fd978cc98dd8
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Jun 20 21:34:53 2021 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sun Jun 20 23:17:24 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2c2a87bd
dev-R/RcppEnsmallen: unbundle ensmallen
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
.../RcppEnsmallen/RcppEnsmallen-0.2.15.0.1.ebuild | 16 +++++++++
dev-R/RcppEnsmallen/metadata.xml | 42 +++++++++++-----------
2 files changed, 37 insertions(+), 21 deletions(-)
diff --git a/dev-R/RcppEnsmallen/RcppEnsmallen-0.2.15.0.1.ebuild
b/dev-R/RcppEnsmallen/RcppEnsmallen-0.2.15.0.1.ebuild
index 5b357cc94..8fc973685 100644
--- a/dev-R/RcppEnsmallen/RcppEnsmallen-0.2.15.0.1.ebuild
+++ b/dev-R/RcppEnsmallen/RcppEnsmallen-0.2.15.0.1.ebuild
@@ -22,3 +22,19 @@ RDEPEND="
dev-R/Rcpp
>=dev-R/RcppArmadillo-0.8.400.0.0
"
+
+src_prepare() {
+ default
+ #remove bundled
+ rm -r inst/include/ensmallen_bits || die
+ rm inst/include/ensmallen.hpp || die
+ #link to sci-libs/ensmallen
+ dosym /usr/include/ensmallen_bits inst/include/ensmallen_bits
+ dosym /usr/include/ensmallen.hpp inst/include/ensmallen.hpp
+}
+
+src_install() {
+ R-packages_src_install
+ dosym /usr/include/ensmallen_bits
"/usr/$(get_libdir)/R/site-library/${PN}/include/ensmallen_bits"
+ dosym /usr/include/ensmallen.hpp
"/usr/$(get_libdir)/R/site-library/${PN}/include/ensmallen.hpp"
+}
diff --git a/dev-R/RcppEnsmallen/metadata.xml b/dev-R/RcppEnsmallen/metadata.xml
index b666d2f18..c3fb57f8e 100644
--- a/dev-R/RcppEnsmallen/metadata.xml
+++ b/dev-R/RcppEnsmallen/metadata.xml
@@ -1,25 +1,25 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <longdescription>
- Header-Only C++ Mathematical Optimization Library for
'Armadillo'
- // 'Ensmallen' is a templated C++ mathematical optimization
- library (by the 'MLPACK' team) that provides a simple set of
- abstractions for writing an objective function to optimize.
- Provided within are various standard and cutting-edge
- optimizers that include full-batch gradient descent techniques,
- small-batch techniques, gradient-free optimizers, and
- constrained optimization. The 'RcppEnsmallen' package includes
- the header files from the 'Ensmallen' library and pairs the
- appropriate header files from 'armadillo' through the
- 'RcppArmadillo' package. Therefore, users do not need to
- install 'Ensmallen' nor 'Armadillo' to use 'RcppEnsmallen'.
- Note that 'Ensmallen' is licensed under 3-Clause BSD,
- 'Armadillo' starting from 7.800.0 is licensed under Apache
- License 2, 'RcppArmadillo' (the 'Rcpp' bindings/bridge to
- 'Armadillo') is licensed under the GNU GPL version 2 or later.
- Thus, 'RcppEnsmallen' is also licensed under similar terms.
- Note that 'Ensmallen' requires a compiler that supports 'C++11'
- and 'Armadillo' 8.400 or later.
- </longdescription>
+ <!-- maintainer-needed -->
+ <upstream>
+ <bugs-to>https://github.com/coatless/rcppensmallen/issues</bugs-to>
+ <doc
lang="en">https://cran.r-project.org/web/packages/RcppEnsmallen/RcppEnsmallen.pdf</doc>
+
<changelog>https://cran.r-project.org/web/packages/RcppEnsmallen/ChangeLog</changelog>
+ <maintainer>
+ <name>James Joseph Balamuta</name>
+ <email>[email protected]</email>
+ </maintainer>
+ <remote-id type="github">coatless/rcppensmallen</remote-id>
+ </upstream>
+ <longdescription lang="en">
+Header-Only C++ Mathematical Optimization Library for 'Armadillo'
+// 'Ensmallen' is a templated C++ mathematical optimization
+library (by the 'MLPACK' team) that provides a simple set of
+abstractions for writing an objective function to optimize.
+Provided within are various standard and cutting-edge
+optimizers that include full-batch gradient descent techniques,
+small-batch techniques, gradient-free optimizers, and
+constrained optimization.
+ </longdescription>
</pkgmetadata>